/**
 * @module tgam-patterns-event-names
 */

const EVENT_NAMES = {
  accordion: {
    clicked: "accordion:clicked",
  },
  footerAccordion: {
    clicked: "footer-accordion:clicked",
  },
  panel: {
    openSearch: "panel:search-open",
    openCategories: "panel:categories-open",
    opened: "panel:opened",
    openedSearch: "panel:search-opened",
    openedCategories: "panel:categories-opened",
    opening: "panel:opening",
    openingSearch: "panel:search-opening",
    openingCategories: "panel:categories-opening",
    closed: "panel:closed",
    closedSearch: "panel:search-closed",
    closedCategories: "panel:categories-closed",
    closing: "panel:closing",
    closingSearch: "panel:search-closing",
    closingCategories: "panel:categories-closing"
  },
  scrollMenu: {
    touchMoveStart: "scroll-menu:touchmove:start",
    touchMoveEnd: "scroll-menu:touchmove:end"
  },
  stickyHeader: {
    fixed: "sticky-header:header-fixed",
    notFixed: "sticky-header:header-not-fixed",
    anchored: "sticky-header:anchored",
    top: "sticky-header:top",
    topAnimationFinished: "sticky-header:topAnimationFinished",
    bottom: "sticky-header:bottom",
    bottomAnimationFinished: "sticky-header:bottomAnimationFinished",
    show: "sticky-header:show",
    showAnimationFinished: "sticky-header:showAnimationFinished",
    hide: "sticky-header:hide",
    hideAnimationFinished: "sticky-header:hideAnimationFinished"
  },
  textResizer: {
    textSizeChanged: "text-resizer:text-size-changed"
  },
  window: {
    resize: "windowResize.throttled",
    scroll: "windowScroll.throttled"
  },
  pencil: {
    expand: "sub-pencil-ad:expand",
    collapse: "sub-pencil-ad:collapse"
  }
};

export default EVENT_NAMES;
